#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 typst
version:              0.5.0.1
visibility:           public
id:                   typst-0.5.0.1-9kNEgglI8sH9ZCh4JE1eW
key:                  typst-0.5.0.1-9kNEgglI8sH9ZCh4JE1eW
license:              BSD-3-Clause
copyright:            Copyright 2023 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
synopsis:             Parsing and evaluating typst syntax.
description:
    A library for parsing and evaluating typst syntax.
    Typst (<https://typst.app>) is a document layout and
    formatting language. This library targets typst 0.10
    and currently offers only partial support.

category:             Text
abi:                  d3eb02f3b93eafe5a6ae29372e001bf6
exposed:              True
exposed-modules:
    Typst Typst.Evaluate Typst.Methods Typst.Parse Typst.Syntax
    Typst.Types Typst.Util

hidden-modules:
    Typst.Bind Typst.Regex Typst.Show Typst.Module.Standard
    Typst.Module.Math Typst.Module.Calc Typst.MathClass

import-dirs:          /usr/lib/ghc-9.2.8/site-local/typst-0.5.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/typst-0.5.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-typst
hs-libraries:         HStypst-0.5.0.1-9kNEgglI8sH9ZCh4JE1eW
depends:
    aeson-2.1.2.1-AEAcBNDnyHsCd1TQh9QYcs array-0.5.4.0 base-4.16.4.0
    bytestring-0.11.4.0 cassava-0.5.3.2-5k6c1fzNJGVFsZXi30VkkJ
    containers-0.6.5.1 directory-1.3.6.2 filepath-1.4.2.2 mtl-2.2.2
    ordered-containers-0.2.4-7cMxYETw1rl2bd9hW7V1ZL parsec-3.1.15.0
    pretty-1.1.3.6 regex-tdfa-1.3.2.2-F5WIJphxps6tkovtNlc0r
    scientific-0.3.7.0-Gve2HE0tJMP5wULeBm2MyK text-1.2.5.0
    time-1.11.1.1 toml-parser-1.3.2.0-4B2KM5qr0Z3EVWIMu18aMT
    typst-symbols-0.1.5-88gdpZCk9hecvC3Xgy0SF
    vector-0.13.1.0-IOJlwkRydAuH1Lkdw56w5r
    xml-conduit-1.9.1.4-9wjhHdJDpW2zVe1tUFDQS
    yaml-0.11.11.2-8jUz0S5rPbd6p5Ke2uiXrx

haddock-interfaces:   /usr/share/doc/haskell-typst/html/typst.haddock
haddock-html:         /usr/share/doc/haskell-typst/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

